$(function() {

	/* -----------------------------------------------------------------
	 モーダル
	----------------------------------------------------------------- */
	/* YOUTUBE */
	if($('.popup_youtube').length){
		$('.popup_youtube').magnificPopup({
			type: 'iframe',
			iframe: {
				patterns: {
				youtube: {
				index: 'youtube.com', 
				id: 'v=', 
				src: 'https://www.youtube.com/embed/%id%?rel=0&autoplay=1'
				}
			}
		}
		});
	}
	/* IMAGE */
	if($('.popup_image').length){
		$('.popup_image').magnificPopup({
			type: 'image'
		});
	}
	/* IFRAME */
	if($('.popup_iframe').length){
		$('.popup_iframe').magnificPopup({
			type: 'iframe',
			mainClass: 'mfp-fade',
			removalDelay: 200,
			fixedContentPos: true
		});
	}
	/* INLINE HTML */
	if($('.popup_inline').length){
		$('.popup_inline').magnificPopup({
			type: 'inline',
			mainClass: 'mfp-fade hgt_auto',//モーダルの高さが成り行きの場合 hgt_auto 追加
			removalDelay: 200,
			fixedContentPos: true
		});
	}

	/* -----------------------------------------------------------------
	 スライダー
	----------------------------------------------------------------- */
	if ($('.owl-carousel').length) {
		if($('body').hasClass('prg_reg_col1')){
			$(".owl-carousel").owlCarousel({
				nav:false,
				loop:true,
				smartSpeed:250,
				autoplay:true,
				autoplayTimeout:4000,
				autoplayHoverPause:true,
				responsiveClass:true,
				responsive:{
					0:{
						items:1
					},
					640:{
						items:2
					},
					1000:{
						items:3,
						loop:false
					}
				}
			});
		}else{
			$(".owl-carousel").owlCarousel({
				items: 1,
				nav:false,
				loop:true,
				smartSpeed:250,
				autoplay:true,
				autoplayTimeout:4000,
				autoplayHoverPause:true
			});
		}
	}
	
	
	/* -----------------------------------------------------------------
	スクロール
	----------------------------------------------------------------- */
	var $pageTop = $("#js-pageTop");


	$(window).scroll(function () {
		pageTop();
	});

	$(window).on('load resize',function(){
		pageTop();
	});

	/* ページトップ */
	function pageTop(){
		var now = $(window).scrollTop();
		var min = 500;
		var fwOffset = $('#footerCont').offset().top;
		var bottom = now + $(window).height();
		if (now > min) { 
			$pageTop.addClass("show");
			if (bottom > fwOffset){
				$pageTop.addClass("bottom");
			}else{
				$pageTop.removeClass("bottom");
			}
		}else{
			$pageTop.removeClass("show");
		}
	}

	
/* =================================================== */
// slideUp, slideDown, slideToggle関数を定義
/* =================================================== */
	
if (window.matchMedia( "(max-width: 640px)"  ).matches) {


// 要素をスライドしながら非表示にする関数(jQueryのslideUpと同じ)
const slideUp = (el, duration = 300) => {
  el.style.height = el.offsetHeight + "px";
  el.offsetHeight;
  el.style.transitionProperty = "height, margin, padding";
  el.style.transitionDuration = duration + "ms";
  el.style.transitionTimingFunction = "ease";
  el.style.overflow = "hidden";
  el.style.height = 0;
  el.style.paddingTop = 0;
  el.style.paddingBottom = 0;
  el.style.marginTop = 0;
  el.style.marginBottom = 0;
  setTimeout(() => {
    el.style.display = "none";
    el.style.removeProperty("height");
    el.style.removeProperty("padding-top");
    el.style.removeProperty("padding-bottom");
    el.style.removeProperty("margin-top");
    el.style.removeProperty("margin-bottom");
    el.style.removeProperty("overflow");
    el.style.removeProperty("transition-duration");
    el.style.removeProperty("transition-property");
    el.style.removeProperty("transition-timing-function");
    el.classList.remove("is-open");
  }, duration);
};

// 要素をスライドしながら表示する関数(jQueryのslideDownと同じ)
const slideDown = (el, duration = 300) => {
  el.classList.add("is-open");
  el.style.removeProperty("display");
  let display = window.getComputedStyle(el).display;
  if (display === "none") {
    display = "block";
  }
  el.style.display = display;
  let height = el.offsetHeight;
  el.style.overflow = "hidden";
  el.style.height = 0;
  el.style.paddingTop = 0;
  el.style.paddingBottom = 0;
  el.style.marginTop = 0;
  el.style.marginBottom = 0;
  el.offsetHeight;
  el.style.transitionProperty = "height, margin, padding";
  el.style.transitionDuration = duration + "ms";
  el.style.transitionTimingFunction = "ease";
  el.style.height = height + "px";
  el.style.removeProperty("padding-top");
  el.style.removeProperty("padding-bottom");
  el.style.removeProperty("margin-top");
  el.style.removeProperty("margin-bottom");
  setTimeout(() => {
    el.style.removeProperty("height");
    el.style.removeProperty("overflow");
    el.style.removeProperty("transition-duration");
    el.style.removeProperty("transition-property");
    el.style.removeProperty("transition-timing-function");
  }, duration);
};

// 要素をスライドしながら交互に表示/非表示にする関数(jQueryのslideToggleと同じ)
const slideToggle = (el, duration = 300) => {
  if (window.getComputedStyle(el).display === "none") {
    return slideDown(el, duration);
  } else {
    return slideUp(el, duration);
  }
};

/* =================================================== */
// DOM操作
/* =================================================== */

// アコーディオンを全て取得
const accordions = document.querySelectorAll(".js-accordion");
// 取得したアコーディオンをArrayに変換(IE対策)
const accordionsArr = Array.prototype.slice.call(accordions);

accordionsArr.forEach((accordion) => {
  // Triggerを全て取得
  const accordionTriggers = accordion.querySelectorAll(".js-accordion-trigger");
  // TriggerをArrayに変換(IE対策)
  const accordionTriggersArr = Array.prototype.slice.call(accordionTriggers);

  accordionTriggersArr.forEach((trigger) => {
    // Triggerにクリックイベントを付与
    trigger.addEventListener("click", () => {
      // '.is-active'クラスを付与or削除
      trigger.classList.toggle("is-active");
      // 開閉させる要素を取得
      const content = trigger.querySelector(".pg_content");
      // 要素を展開or閉じる
      slideToggle(content);
    });
  });
});
	
}
	

});